unable to toggle microphone mute on T410 / unable to unload thinkpad_acpi module

Bug #1268880 reported by James Hunt
30
This bug affects 6 people
Affects Status Importance Assigned to Milestone
gnome-settings-daemon (Ubuntu)
Undecided
Unassigned
linux (Ubuntu)
Medium
Unassigned

Bug Description

I recently pressed the physical microphone mute button on my Lenovo T410. However, I am now unable to unmute it. The orange light next to the mic mute button comes on when the kernel boots, but pressing it has no effect.

Possibly related to this, I am now unable to unload the thinkpad_acpi kernel module (required to run the fan in disengaged mode to work around the long-standing bug 751689) as it seems to be permanently hooked into the sound drivers:

$ sudo modprobe -r thinkpad_acpi
modprobe: FATAL: Module thinkpad_acpi is in use.
$ sudo lsmod|grep thinkpad_acpi
thinkpad_acpi 69003 1
nvram 14027 1 thinkpad_acpi
snd 60871 23 snd_hwdep,snd_timer,snd_hda_codec_hdmi,snd_hda_codec_conexant,snd_pcm,snd_seq,snd_rawmidi,snd_hda_codec,snd_hda_intel,thinkpad_acpi,snd_seq_device,snd_seq_midi
$ sudo modprobe -r thinkpad_acpi snd_hwdep snd_timer snd_hda_codec_hdmi snd_hda_codec_conexant snd_pcm snd_seq snd_rawmidi snd_hda_codec snd_hda_intel thinkpad_acpi snd_seq_device snd_seq_midi
modprobe: FATAL: Module thinkpad_acpi is in use.
$

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: linux-image-3.13.0-2-generic 3.13.0-2.17
ProcVersionSignature: Ubuntu 3.13.0-2.17-generic 3.13.0-rc7
Uname: Linux 3.13.0-2-generic i686
NonfreeKernelModules: nvidia
ApportVersion: 2.13.1-0ubuntu1
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: james 3261 F.... pulseaudio
 /dev/snd/controlC0: james 3261 F.... pulseaudio
 /dev/snd/pcmC0D0p: james 3261 F...m pulseaudio
CurrentDesktop: Unity
Date: Tue Jan 14 08:52:57 2014
HibernationDevice: RESUME=UUID=67e3cd44-242b-4bbf-918b-28fff81e0312
InstallationDate: Installed on 2010-10-21 (1181 days ago)
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release i386 (20101007)
MachineType: LENOVO 2516CTO
ProcFB:

ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-2-generic root=UUID=7ad192e9-7b26-49d1-8e1c-fefc7dc495cb ro quiet splash
RelatedPackageVersions:
 linux-restricted-modules-3.13.0-2-generic N/A
 linux-backports-modules-3.13.0-2-generic N/A
 linux-firmware 1.121
SourcePackage: linux
UpgradeStatus: Upgraded to trusty on 2013-11-01 (73 days ago)
dmi.bios.date: 08/27/2010
dmi.bios.vendor: LENOVO
dmi.bios.version: 6IET72WW (1.32 )
dmi.board.name: 2516CTO
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr6IET72WW(1.32):bd08/27/2010:svnLENOVO:pn2516CTO:pvrThinkPadT410:rvnLENOVO:rn2516CTO:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 2516CTO
dmi.product.version: ThinkPad T410
dmi.sys.vendor: LENOVO

Revision history for this message
James Hunt (jamesodhunt) wrote :
Revision history for this message
Brad Figg (brad-figg) wrote : Status changed to Confirmed

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Revision history for this message
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.13 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.13-rc8-trusty/

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
Revision history for this message
James Hunt (jamesodhunt) wrote :

Problem still present with 3.13.0-031300rc8-generic kernel. Note that with that kernel I get the following message at boot time:

tpm_tis 00:09: A TPM error (6) occurred attempting to read a pcr value

Revision history for this message
James Hunt (jamesodhunt) wrote :

Regression seems to have been introduced in 3.13. I've tested with a few kernels and narrowed it to:

3.13.0-1-generic: BAD

3.11.0-2-generic : OK

James Hunt (jamesodhunt)
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Revision history for this message
James Hunt (jamesodhunt) wrote :

Still a problem with 3.13.0-4-generic.

Revision history for this message
James Hunt (jamesodhunt) wrote :

Still a problem with 3.13.0-5-generic.

Revision history for this message
Joseph Salisbury (jsalisbury) wrote :

I'd like to perform a bisect to figure out what commit caused this regression. We need to identify the earliest kernel where the issue started happening as well as the latest kernel that did not have this issue.

Can you test the following kernels and report back? We are looking for the first kernel version that exhibits this bug:

v3.12 final: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.12-trusty/
If v3.12 final does not exhibit the bug, we should move on to testing some of the v3.13 release candidates.

v3.13-rc3: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.13-rc3-trusty/

If v3.13-rc3 does not exhibit the bug then test v3.13-rc6:
v3.13-rc6: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.13-rc6-trusty/

If v3.13-rc3 does exhibit the bug then test v3.13-rc2:
v3.13-rc2: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.13-rc2-trusty

You don't have to test every kernel, just up until the kernel that first has this bug.

Thanks in advance!

tags: added: performing-bisect
Revision history for this message
Christian Dysthe (christian-dysthe) wrote :

The button works in current versions of both Fedora and Arch.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Revision history for this message
Michael Schmid (mschmid-gmx) wrote :

I have this problem as well with the newest 14.04 daily build.

Laptop:
Lenovo T410

OS:
Description: Ubuntu Trusty Tahr (development branch)
Release: 14.04
Codename: trusty

Kernel:
3.13.0-19-generic #40-Ubuntu SMP Mon Mar 24 02:36:06 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

-> acpi_listen gives NO output if I press mic mute

-> xev gives:
KeyPress event, serial 38, synthetic NO, window 0x3e00001,
    root 0x84, subw 0x0, time 1702753, (-362,419), root:(360,471),
    state 0x10, keycode 156 (keysym 0x1008ff41, XF86Launch1), same_screen YES,
    XLookupString gives 0 bytes:
    XmbLookupString gives 0 bytes:
    XFilterEvent returns: False

KeyRelease event, serial 38, synthetic NO, window 0x3e00001,
    root 0x84, subw 0x0, time 1702753, (-362,419), root:(360,471),
    state 0x10, keycode 156 (keysym 0x1008ff41, XF86Launch1), same_screen YES,
    XLookupString gives 0 bytes:
    XFilterEvent returns: False

Revision history for this message
Michael Schmid (mschmid-gmx) wrote :

I startet to investigate in this problem

3.11.0-031100-generic gives me an output when listening with acpi_listen ( ibm/hotkey HKEY 00000080 0000101b )

with kernel 3.12.0 I do NOT get any output when listening

So problem has to be between those two versions. As soon I have time I will investigate more on this by disecting

Revision history for this message
Michael Schmid (mschmid-gmx) wrote :

What I forgot to mention: Although with Kernel 3.11 acpi_listen reports, Ubuntu itself does not see the mic mute (LED on Button is not toggling, no notice shows up and in audio settings the input does not get muted/unmuted)

Revision history for this message
Michael Schmid (mschmid-gmx) wrote :

I think I found where the problem started:

I tried different Kernels on my 14.04 devel. branch.
Check with acpi_listen if signal gets catched. This is the result:

kernel version | acpi_listen can see mic mute
------------------------------------------------------
3.11.0 | yes
3.11.9 | yes
3.11.10.4 | yes
3.11.10.6 | yes
3.12.0-031200rc1 | no
3.12.0-031200rc2 | no
3.12.0-031200rc4 | no
3.12.0 | no

So I guess the problem occured first at 3.12.0 rc 1

But the thing is that even if I get the signal (till 3.11.10.6) Ubuntu does not react to this... Is this another issue?

Changed in linux (Ubuntu):
status: Incomplete → In Progress
status: In Progress → Confirmed
Revision history for this message
Joseph Salisbury (jsalisbury) wrote :

Can folks affected by this bug see if this issue still exists in the latest mainline kernel, which is 3.14 final:

http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.14-trusty/

Revision history for this message
Michael Schmid (mschmid-gmx) wrote :

Mute/unmute of microphone works with kernel 3.14.0-031400-generic (64bit amd).

I have a Thinkpad T410 with devel. branch of 14.04

But there is something a bit strange: If I mute unmute the mic. I get the same symbols in the upper right corner as if I mute/unmute the speakers. Is it supposed to be like that???

Revision history for this message
Joseph Salisbury (jsalisbury) wrote :

Can you also see if this bug still exits with the latest Trusty kernel, 3.13.0-23?

Revision history for this message
Michael Schmid (mschmid-gmx) wrote :

Yes, mute/unmute button works with 3.13.0-23 on my Thinkpad T410

What I find a bit strange, is that I get the same "message symbol" in the upper right corner as if I would mute/unmute the speakers (but when unmute the speaker I get this "blip" sound. If I unmute the micro I get no sound, which makes sense...)

Revision history for this message
Christian Dysthe (christian-dysthe) wrote :

Mic mute/unmute does not work on my Thinkpad T430S with 3.13.0-23. Still no output from acpi_listen.

Revision history for this message
Christian Dysthe (christian-dysthe) wrote :

I have further updates on this:

I am running Ubuntu GNOME 14.04 daily and the mic mute/unmute is not working on my Thinkpad T430S. I didn't think Ubuntu flavor was on importance and that this was a kernel issue. Tthen I tried to boot Ubuntu 14.04 daily and the mic mute/unmute works! The OSD information on Ubuntu is wrong though showing volume mute/unmute but the microphone is actually being muted/unmuted. Also, mic mute/unmute does not work with final 3.14 mainline kernel on Ubuntu GNOME daily. This shows that there's more than the kernel involved in this problem since it works in Ubuntu 14.04 daily and not in Ubuntu GNOME 14.04 daily.

Revision history for this message
Magic Xu (madjxatw) wrote :

The following is the content on ThinkWiki, does it need to change the keymap?
"If you have a recent version of udev/systemd (see this patch) the acpi trick will not work. The mic mute button will be mapped to F20 (keycode 190), which you should be able to configure normally using the GNOME keyboard settings or similar."

Revision history for this message
Magic Xu (madjxatw) wrote :

My laptop is running Debian Testing, acpi_listen gets output in tty but does not work in X (Gnome).
As to what mentioned above, mic mute works for Ubuntu 14.04 but not for Ubuntu Gnome, looks like gnome-settings-daemon issue?

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: removed: performing-bisect
Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gnome-settings-daemon (Ubuntu):
status: New → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers